Class RequestBody
- java.lang.Object
-
- de.xima.fc.api.rest.pub.client.user_portal.RequestBody
-
@Generated("de.xima.openapi.codegen.java_jaxrs.XimaJavaJaxrsGenerator") public class RequestBody extends ObjectBase class for the body of endpoints that allow multiple different request body types. Wraps the type of the request body and its content type.
-
-
Constructor Summary
Constructors Modifier Constructor Description protectedRequestBody(Object value, String contentType)
-
Method Summary
All Methods Static Methods Instance Methods Concrete Methods Modifier and Type Method Description StringcontentType()static RequestBodycreate(Object value, String contentType)Objectvalue()
-
-
-
Method Detail
-
contentType
public final String contentType()
- Returns:
- The content type of this request body.
-
value
public final Object value()
- Returns:
- The data of this request body.
-
create
public static RequestBody create(Object value, String contentType)
- Parameters:
value- The data of this request body.contentType- The content type of this request body.- Returns:
- A new request body with the given data.
-
-